> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a list of matchlist details

> Retrieve a list of matchlists that new entries can be added or removed.



## OpenAPI

````yaml /specs/fc-core-bundled_generated.yaml get /v2/matchlists
openapi: 3.0.3
info:
  title: Core V2 API
  version: 2.0.0
  description: >-
    This is the APIs for V2 Core. It allows you to do common operations, such as
    read audit entries or get workflow lists.
  contact:
    name: FrankieOne
    url: https://www.frankieone.com/
    email: help@frankieone.com
servers:
  - url: https://api.uat.frankie.one
    description: UAT Environment API Base URL
  - url: https://api.frankie.one
    description: Production API Base URL
security:
  - Api-Key: []
tags:
  - name: Audit
    description: Manage audit entries
  - name: Customers
    description: Manage customer accounts
  - name: Users
    description: Manage users provisioned in child customer accounts
  - name: Request
    description: Retrieve background request results
  - name: Reports
    description: Generate and manage reports
  - name: Results
    description: Manage process results including redaction
  - name: Workflow Definitions
    description: Create and update workflow definitions
  - name: Status
    description: All valid customers will get a successful response.
  - name: Workflows
    description: Manage Workflows and Workflow Definitions
  - name: Tags
    description: Query tags and tag mappings on objects
paths:
  /v2/matchlists:
    get:
      tags:
        - Matchlists
      summary: Retrieve a list of matchlist details
      description: Retrieve a list of matchlists that new entries can be added or removed.
      operationId: getMatchlist
      parameters:
        - $ref: '#/components/parameters/Api-Key'
        - $ref: '#/components/parameters/X-Frankie-CustomerID'
        - $ref: '#/components/parameters/X-Frankie-CustomerChildID'
        - $ref: '#/components/parameters/X-Frankie-Channel'
        - $ref: '#/components/parameters/X-Frankie-Background'
        - $ref: '#/components/parameters/X-Frankie-Username'
        - $ref: '#/components/parameters/query_matchlist_states'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  requestId:
                    $ref: '#/components/schemas/Request-ID'
                  matchlists:
                    type: array
                    items:
                      $ref: '#/components/schemas/Matchlist'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Invalid EntityId:
                  value:
                    errorCode: API-0400,
                    errorMsg: 'Multiple Errors: See Issues list'
                    details:
                      - issue: 'entityId in path must be of type uuid: "test"'
                        issueLocation: VALIDATE-entityId
                    requestId: 01HM5XJ7VASZ3EJMB1VQGTBFJ4
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Invalid authentication:
                  value:
                    errorCode: AUTH-0002,
                    errorMsg: Unauthorized
                    details:
                      - issue: Invalid Authentication provided. Access denied.
                        issueLocation: request
                    requestId: 00000000S6MNG7624K2TDXT1E3
                No Api-Key:
                  value:
                    errorCode: AUTH-0401
                    errorMsg: Unauthorized
                    details:
                      - issue: No api key provided. Access denied.
                        issueLocation: request
                    requestId: 00000001S6MNG7624K2TDXT1E3
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - Api-Key: []
        - jwt:
            - kyc:api
components:
  parameters:
    Api-Key:
      name: api_key
      in: header
      schema:
        type: string
        example: 245c765b124a098d09ef8765....
      description: Your API key provided by FrankieOne
      required: true
    X-Frankie-CustomerID:
      name: X-Frankie-CustomerID
      in: header
      required: true
      schema:
        type: string
        example: 12345678-1234-1234-1234-123456789012
      description: Your Customer ID provided by FrankieOne
    X-Frankie-CustomerChildID:
      name: X-Frankie-CustomerChildID
      in: header
      required: false
      schema:
        type: string
        example: 87654321-4321-4321-4321-210987654321
      description: Your Customer Child ID provided by FrankieOne
    X-Frankie-Channel:
      name: X-Frankie-Channel
      in: header
      required: false
      schema:
        type: string
      description: >-
        Open string that can be used to define the "channel" the request comes
        in from. It can potentially be used in routing and risk calculations
        upon request. Default values that can be used are:  api portal smartui
        Any alphanumeric string is supported though. Anything over 64 characters
        will be truncated.
    X-Frankie-Background:
      name: X-Frankie-Background
      schema:
        type: integer
        enum:
          - 0
          - 1
      description: >
        If this header parameter is supplied and set to 1, then the request will
        not wait for the process to finish,

        and will return a 202 if there are no obvious errors in the input. The
        request will then run in the background

        and send a notification back to the customer. See our callback API for
        details on this.
      in: header
      required: false
    X-Frankie-Username:
      name: X-Frankie-Username
      in: header
      description: Username provided by API caller
      required: false
      schema:
        type: string
        example: fred.flintstone@frankieone.com
    query_matchlist_states:
      name: states
      in: query
      style: form
      explode: false
      schema:
        description: List of states to include in the response.
        type: array
        items:
          $ref: '#/components/schemas/Matchlist-State'
      description: >-
        If set, the response will include only entries with the specified
        states. By default, only `ACTIVE` entries are returned. Possible values
        are: `ACTIVE`, and `ARCHIVED`. Multiple values can be provided as a
        comma-separated list. For example, `ACTIVE,ARCHIVED`. If the value is
        not one of the possible values, it will be ignored. If the value is not
        provided, only `ACTIVE` entries are returned.
  schemas:
    Request-ID:
      type: string
      example: 01HN9XHZN6MGXM9JXG50K59Q85
      description: The unique request identifier for the API call made.
    Matchlist:
      type: object
      description: >-
        A matchlist is a collection of entries used to match against incoming
        data. 
      allOf:
        - $ref: '#/components/schemas/Matchlist-Base'
        - type: object
          description: Additional details about the matchlist.
          title: Matchlist
          properties:
            state:
              $ref: '#/components/schemas/Matchlist-State'
            createdBy:
              type: string
              readOnly: true
              description: The user who created the matchlist.
            createdAt:
              type: string
              format: date-time
              readOnly: true
              description: The date and time when the matchlist was created.
            updatedBy:
              type: string
              readOnly: true
              description: >-
                The user who last updated the matchlist. On creation, this is
                the same as `createdBy`.
            updatedAt:
              type: string
              format: date-time
              readOnly: true
              description: >-
                The date and time when the matchlist was last updated. On
                creation, this is the same as `createdAt`.
    Error:
      type: object
      x-examples:
        '400':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0400
          errorMsg: Parsing credentials from "<invalid>" failed, because invalid.
          httpStatusCode: 400
        '401':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0401
          errorMsg: Unauthenticated due to invalid credentials.
          httpStatusCode: 401
        '409':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0409
          errorMsg: Conflict.
          httpStatusCode: 409
      allOf:
        - $ref: '#/components/schemas/Error-Base'
        - type: object
          properties:
            requestId:
              $ref: '#/components/schemas/Request-ID'
    Matchlist-State:
      type: string
      description: |-
        The state of the matchlist. Possible values:
          - "ACTIVE": The matchlist is active and can be used for matching. Note: the default matchlist is always active.
          - "ARCHIVED": The matchlist is archived and cannot be used for matching.
      default: ACTIVE
      enum:
        - ACTIVE
        - ARCHIVED
    Matchlist-Base:
      type: object
      description: Basic details about a matchlist, excluding metadata.
      properties:
        matchlistId:
          $ref: '#/components/schemas/Matchlist-ID'
        name:
          type: string
          description: Unique name identifying the matchlist.
        description:
          type: string
          description: Description of the matchlist.
        isDefault:
          description: Flag indicating whether this matchlist is the default list.
          type: boolean
        action:
          $ref: '#/components/schemas/Matchlist-Action'
        riskScore:
          type: number
          description: >-
            Risk score to assign if there is a match, unless overridden by risk
            configuration.
    Error-Base:
      type: object
      properties:
        errorCode:
          type: string
        errorMsg:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
    Matchlist-ID:
      type: string
      format: uuid
      description: >-
        Matchlists are assigned an auto-generated UUID to ensure global
        uniqueness, represented as matchlistId. The matchlistId allows for
        precise modification when required.

        To create or modify a matchlist entry, set the matchlistId of the
        matchlist you wish to update in a matchlist entry request.
      example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
      readOnly: true
    Matchlist-Action:
      type: string
      description: >-
        Default action recommended for a match. The action can be one of the
        following:
          - `BLOCK`: Recommended action is to block the entity.
          - `ALERT`: Recommended action is to create an alert for the entity.
          - `ALLOW`: Recommended action is to allow the entity.
          - `REVIEW`: Recommended action is to review the entity.
          - `NONE`: No action; only use the `riskFactor` if any.
      enum:
        - BLOCK
        - ALERT
        - ALLOW
        - REVIEW
        - NONE
    Issue:
      type: object
      properties:
        issue:
          type: string
          description: Description of the issue.
        issueLocation:
          type: string
          description: The location or context where the issue was identified.
        issueType:
          type: string
          description: The type or category of the issue.
  securitySchemes:
    Api-Key:
      type: apiKey
      in: header
      name: api_key
      description: ''
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````